package com.bocloud.cmp.provider.campus;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.campus.GuestAdminModel;
import com.bocloud.nms.model.campus.GuestServiceModel;
import com.bocloud.nms.model.campus.GuestUserModel;
import com.bocloud.nms.model.campus.OnlineUserModel;

import java.util.List;

public interface GuestProvider extends SuperProvider {

    default BocloudResult<List<GuestUserModel>> listGuestUser() {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<List<GuestAdminModel>> listGuestAdmin() {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<List<GuestServiceModel>> listGuestService() {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<List<OnlineUserModel>> listOnlineUser() {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<GuestUserModel> createGuestUser(GuestUserModel model) {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<GuestAdminModel> createGuestAdmin(GuestAdminModel model) {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<?> modifyGuestUser(GuestUserModel model) {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<?> modifyGuestAdmin(GuestAdminModel model) {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<?> removeGuestUser(String userName) {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<?> removeGuestAdmin(String userName) {
        throw new RuntimeException("unimplemented");
    }

}
